/* -*- C++ -*- */
// $Id: config-os9.h,v 1.1.4.1 2002/01/23 19:41:26 phil Exp $

#ifndef ACE_CONFIG_H
#define ACE_CONFIG_H

#if ! defined (OS9)
# define OS9
#endif /* ! OS9 */

#if ! defined (__ACE_INLINE__)
# define __ACE_INLINE__
#endif /* ! __ACE_INLINE__ */


// CAE
//#define ACE_NTRACE 0
#define ACE_HAS_BROKEN_ACCEPT_ADDR

// There are headers that define iostream related information
// but, I ran into problems with name spaces and other things
// when certain templates were instantiated.
#define ACE_LACKS_IOSTREAM_TOTALLY
#define ACE_LACKS_ACE_IOSTREAM
#define ACE_DEFAULT_LOG_STREAM 0
#define ostream FILE

// #define ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA

#define ACE_LACKS_LONGLONG_T
#define ACE_LACKS_LINEBUFFERED_STREAMBUF

#define ACE_HAS_TYPENAME_KEYWORD

// CAE
//#define ACE_HAS_MINIMUM_IOSTREAMH_INCLUSION

#define ACE_LACKS_UNISTD_H
#define ACE_LACKS_SYS_TYPES_H
#define ACE_LACKS_UNIX_SYSLOG

#define ACE_HAS_MSG
#define ACE_LACKS_INLINE_FUNCTIONS
#define ACE_LACKS_MMAP
#define ACE_LACKS_SEMBUF_T
#define ACE_HAS_SSIZE_T
#define ACE_LACKS_UNIX_DOMAIN_SOCKETS
#define ACE_LACKS_SYSV_MSG_H
#define ACE_LACKS_UTSNAME_T
#define ACE_LACKS_SIGSET
#define ACE_LACKS_KEY_T
#define ACE_LACKS_FILELOCKS
#define ACE_LACKS_SBRK
#define ACE_LACKS_SIGINFO_H
#define ACE_LACKS_SIGACTION
#define ACE_LACKS_MODE_MASKS
#define ACE_LACKS_STRRECVFD
#define ACE_LACKS_MKTEMP

#define ACE_HAS_STRERROR
#define ACE_HAS_BROKEN_CTIME
#define ACE_HAS_CPLUSPLUS_HEADERS
#define ACE_HAS_BROKEN_SENDMSG
#define ACE_HAS_BROKEN_WRITEV
#define ACE_HAS_CONSISTENT_SIGNAL_PROTOTYPES
#define ACE_HAS_SIG_C_FUNC
#define ACE_HAS_STANDARD_CPP_LIBRARY	0
#define ACE_USES_STD_NAMESPACE_FOR_STDCPP_LIB	1
#define ACE_HAS_4_4BSD_SENDMSG_RECVMSG
#define ACE_HAS_SIG_ATOMIC_T
#define ACE_HAS_ONE_DEFINITION_RULE

// Stuff in OS.i
#define ACE_HAS_CHARPTR_SOCKOPT
#define ACE_HAS_STRDUP_EMULATION
#define ACE_HAS_TIMEZONE_GETTIMEOFDAY
#define ACE_HAS_NONCONST_SELECT_TIMEVAL
#define ACE_HAS_VOIDPTR_SOCKOPT

#define ACE_LACKS_MKSTEMP
#define ACE_LACKS_MKFIFO
#define ACE_LACKS_FCNTL
#define ACE_LACKS_FSYNC
#define ACE_LACKS_LSTAT
#define ACE_LACKS_STRCASECMP
#define ACE_LACKS_TRUNCATE
#define ACE_LACKS_READLINK
#define ACE_LACKS_MPROTECT
#define ACE_LACKS_MSYNC
#define ACE_LACKS_MADVISE
#define ACE_LACKS_RLIMIT
#define ACE_LACKS_GETPGID
#define ACE_LACKS_MALLOC_H
#define ACE_LACKS_RECVMSG
#define ACE_LACKS_SENDMSG
#define ACE_LACKS_SOCKETPAIR
#define ACE_LACKS_FORK

#define ACE_LACKS_SETPGID
#define ACE_LACKS_SETREUID
#define ACE_LACKS_SETREGID

#define ACE_LACKS_CUSERID
//
#define ACE_PAGE_SIZE 4096

// Stuff in OS.cpp
#define ACE_LACKS_SYS_NERR
//

// My new ACE_ variables
#define ACE_LACKS_SYS_STAT_H
#define ACE_LACKS_NEW_H
#define ACE_LACKS_ARPA_INET_H
#define ACE_LACKS_SYS_IOCTL_H
#define ACE_LACKS_DIRENT_H
#define ACE_LACKS_STRUCT_DIR
#define ACE_LACKS_FCNTL_H

#define ACE_LACKS_SHMID_DS
// end my new ACE_ variables

#if !defined (ACE_NTRACE)
# define ACE_NTRACE 1
#endif /* ACE_NTRACE */

// By default, don't include RCS Id strings in object code.
#if !defined (ACE_USE_RCSID)
#define ACE_USE_RCSID 0
#endif

#endif /* ACE_CONFIG_H */
